%define	major 0
%define libname	%mklibname yubikey %{major}
%define develname %mklibname -d yubikey

Summary:	Decrypting and parsing Yubikey One-Time Passwords Low-level library
Name:		yubikey
Version:	1.9
Release:	%mkrel 6
Group:		System/Libraries
License:	BSD
URL:		http://code.google.com/p/yubico-c/
Source0:	http://yubico-c.googlecode.com/files/lib%{name}-%{version}.tar.gz
Source1:	http://yubico-c.googlecode.com/files/lib%{name}-%{version}.tar.gz.sig
BuildRequires:	autoconf
BuildRequires:	libtool

%description
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

%package -n	%{libname}
Summary:	Decrypting and parsing Yubikey One-Time Passwords Low-level library
Group:          System/Libraries

%description -n	%{libname}
This is a library written in C to validate a Yubikey OTP against the Yubico
online server.

%package -n	%{develname}
Summary:	Static library and header files for the libyubikeyt library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

This package contains the static libyubikey library and its header files.

%package	tools
Summary:	Command line tools for libyubikey
Group:          System/Libraries

%description	tools
Low-level library for decrypting and parsing Yubikey One-Time Passwords (OTP),
for C.

This package contains various tools for libyubikey.

%prep

%setup -q -n lib%{name}-%{version}

%build
# autoreconf -fis

%configure2_5x

%make

%install
%makeinstall_std

# rename the too generic file names
mv %{buildroot}%{_bindir}/modhex %{buildroot}%{_bindir}/libyubikey-modhex
mv %{buildroot}%{_bindir}/ykgenerate %{buildroot}%{_bindir}/libyubikey-ykgenerate
mv %{buildroot}%{_bindir}/ykparse %{buildroot}%{_bindir}/libyubikey-ykparse


%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a

%files tools
%{_bindir}/libyubikey-modhex
%{_bindir}/libyubikey-ykgenerate
%{_bindir}/libyubikey-ykparse




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.9-6.mga6
+ Revision: 944300
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-5.mga5
+ Revision: 747638
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-4.mga5
+ Revision: 690846
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9-3.mga4
+ Revision: 520875
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 387630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 dlucio <dlucio> 1.9-1.mga3
+ Revision: 296672
- 1.9
- P0 dropped
- imported package yubikey


* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7-2mdv2011.0
+ Revision: 661563
- mass rebuild

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7-1mdv2011.0
+ Revision: 627097
- 1.7

* Mon Oct 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-1mdv2011.0
+ Revision: 589317
- 1.6

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-2mdv2010.1
+ Revision: 519032
- rebuild

* Fri Sep 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdv2010.0
+ Revision: 438242
- 1.5

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdv2010.0
+ Revision: 406912
- 1.4
- fix stupid liblib package naming, duh!

* Wed Mar 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.1
+ Revision: 357406
- import libyubikey


* Wed Mar 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2009.1
- initial Mandriva package
